Subject: Re: [PATCH 2/3] Add -n/--no-prompt option to mergetool

From: Charles Bailey <[email-masked]>
Date: Wed, 22 Oct 2008 22:17:20 +0100

On Tue, Oct 21, 2008 at 01:26:55PM +0100, Charles Bailey wrote:
> On Tue, Oct 21, 2008 at 01:49:30PM +0200, Andreas Ericsson wrote:
> >
> > There is discussion already about "-n should be for dry-run!" and git's
> > inconsistencies in such matters. Wouldn't -y ("assume yes on prompt")
> > be better?
> >
> 
> I must have missed this discussion. I've just had a very quick look at
> a handful of basic modifying git commands (merge, pull, commit,
> checkout, reset, revert) and only found 'add' that used -n as
> --dry-run.
> 
> That said, I've no real objections to -y if that makes for a better
> consensus.
> 

I'm pretty keen on this patch, but have no strong opinions on which
short option is used, so are there any votes against -y?

If I re-roll with the favoured short option is there anything else
that would prevent its adoption into next or master?

-- 
Charles Bailey
http://ccgi.hashpling.plus.com/blog/